function searchState() {
    load('nashorn:mozilla_compat.js');
    importPackage( Packages.javax.naming );
    importPackage( Packages.javax.sql );
    importPackage( Packages.java.sql );
    importPackage( Packages.java.util );
    importPackage( Packages.java.io );
    importPackage( Packages.java.lang  );
    importPackage( Packages.java.lang.System.out);

	java.lang.System.out.println("*** DEBUG: PLUGIN STARTED ***");
	
    var query = "select * from countries ORDER BY STATE ASC";
    var initialContext = new InitialContext();
    var dataSource  = initialContext.lookup("java:jboss/datasources/jdbc/STATES-DS");
    var connection = dataSource.getConnection();
    var statement = connection.createStatement();
    var resultSet = statement.executeQuery(query);
    var metadata = resultSet.getMetaData();   
    var retvalMap = new java.util.HashSet();
	
	while (resultSet.next()){
		var keyCol = metadata.getColumnName(1);
		var valueCol = metadata.getColumnName(2);
		java.lang.System.out.println("DEBUG: KEY: " + resultSet.getString(keyCol) + ",  VALUE: " + resultSet.getString(valueCol));
		retvalMap.add(resultSet.getString(valueCol));
    }

    resultSet.close();
    statement.close();
    connection.close();
    java.lang.System.out.println("*** DEBUG: PLUGIN FINISHED ***");
	return retvalMap;
}